Package org.drinkless.tdlib

# Class TdApi.RecoverPassword

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PasswordState>
org.drinkless.tdlib.TdApi.RecoverPassword

Enclosing class:
  `TdApi`

public static class TdApi.RecoverPassword extends TdApi.Function<TdApi.PasswordState>
Recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.

Returns `PasswordState`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `newHint`
  New password hint; may be empty.
  `String`
  `newPassword`
  New 2-step verification password of the user; may be empty to remove the password.
  `String`
  `recoveryCode`
  Recovery code to check.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecoverPassword()`
  Default constructor for a function, which recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.
  `RecoverPassword(String recoveryCode, String newPassword, String newHint)`
  Creates a function, which recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### recoveryCode

    public String recoveryCode
    Recovery code to check.

  - ### newPassword

    public String newPassword
    New 2-step verification password of the user; may be empty to remove the password.

  - ### newHint

    public String newHint
    New password hint; may be empty.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RecoverPassword

    public RecoverPassword()
    Default constructor for a function, which recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.

    Returns `PasswordState`

  - ### RecoverPassword

    public RecoverPassword(String recoveryCode, String newPassword, String newHint)
    Creates a function, which recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.

    Returns `PasswordState`

    Parameters:
      `recoveryCode` - Recovery code to check.
      `newPassword` - New 2-step verification password of the user; may be empty to remove the password.
      `newHint` - New password hint; may be empty.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PasswordState>`
    Returns:
      this.CONSTRUCTOR